//
//  AboutController.m
//  UGR_Template
//
//  Centro de Enseñanzas Virtuales
//  Copyright (c) 2013 UGR. All rights reserved.
//

#import "AboutViewController.h"

@implementation AboutViewController

@synthesize table = _table;


- (void)viewDidLoad
{
    
    [super viewDidLoad];
	
    // Do any additional setup after loading the view.
    [_table setBackgroundColor:[UIColor clearColor]];
    _table.delegate = self;
    _table.dataSource = self;
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//- (void) viewWillAppear:(BOOL)animated
//{
//    [_tabla deselectRowAtIndexPath:[_tabla indexPathForSelectedRow] animated:animated];
//    [super viewWillAppear:animated];
//}


- (NSInteger) numberOfSectionsInTableView:(UITableView *)tableView
{
    return 2;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    
    switch (section) {
        case 0:
        {
            return 2;
            break;
        }
        case 1:
        {
            return 1;
            break;
        }
        default:
            break;
            
    }
    
    return 0;
}


- (NSString *) tableView:(UITableView *)tableView titleForHeaderInSection:(NSInteger)section
{
    switch (section)
    {
        case 0:
        {
            return @"Promovido por:"; //TEMPLATE: Sustituir por KEY-VALUE en caso de varios idiomas
            break;
        }
            
        default:
            break;
    }
    return @"";
}



- (UITableViewCell *) tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"CeldaAbout";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    
    if (cell == nil)
    {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
    
    if(indexPath.section == 0)
    {
        if(indexPath.row == 0)
        {
            
            UIImageView* img = [[UIImageView alloc]initWithFrame:CGRectMake(85, 3, 120, 40)];
            img.image = [UIImage imageNamed:@"about_promoted.png"];//TEMPLATE: Sustituir por logo del promotor. Puede haber más de un box-promotor
            [cell addSubview:img];
            
            // Add arrow to cell
            [cell setAccessoryType:UITableViewCellAccessoryDisclosureIndicator];
            cell.selected = NO;
        }
        
        if(indexPath.row == 1)
        {
            cell.textLabel.text = @"Contacto";//TEMPLATE: Sustituir por KEY-VALUE en caso de varios idiomas
            
            // Add arrow to cell
            [cell setAccessoryType:UITableViewCellAccessoryDisclosureIndicator];
            cell.selected = NO;
        }
    }
    if (indexPath.section == 1)
    {
        if(indexPath.row == 0)
        {
            
            UIImageView* img = [[UIImageView alloc]initWithFrame:CGRectMake(12,2, 40, 40)];
            img.image = [UIImage imageNamed:@"about_arrow.png"];
            [cell addSubview:img];
            
            UILabel* labelVisitarWebCevug = [[UILabel alloc] initWithFrame:CGRectMake(60, 5, 250, 30)];
            [labelVisitarWebCevug setBackgroundColor:[UIColor clearColor]];
            labelVisitarWebCevug.text = @"Visitar Catálogo AppsUGR";//TEMPLATE proyecto UGR: 
            [labelVisitarWebCevug setFont:[UIFont fontWithName:@"Helvetica-Bold" size:17]];
            [cell addSubview:labelVisitarWebCevug];
        }
    }
    
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    [super viewWillAppear:nil];
    ////////////////////////////////////////////////////////////////////////////
    // PROMOTED BY
    ////////////////////////////////////////////////////////////////////////////
    if (indexPath.section == 0)
    {
        // GO TO WEB PROMOTED
        if (indexPath.row == 0)
        {
            [[UIApplication sharedApplication] openURL:
             [NSURL URLWithString:@"http://cevug.ugr.es"]];//TEMPLATE cambiar por UGR del promotor
            
        }
        
        // GO TO MAIL PROMOTED
        if (indexPath.row == 1)
        {
            [[UIApplication sharedApplication] openURL:
             [NSURL URLWithString:@"mailto:direccioncevug@ugr.es"]];//TEMPLATE cambiar por correo del responsable institucional
            
        }
    }
    
    ////////////////////////////////////////////////////////////////////////////
    // GO TO WEB AppsUGR
    ////////////////////////////////////////////////////////////////////////////
    if (indexPath.section == 1)
    {
        if (indexPath.row == 0)
        {
            [[UIApplication sharedApplication] openURL:
             [NSURL URLWithString:@"http://apps.ugr.es"]];
        }
    }
    
}


@end
